2019-12-07 16:55 EST


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002345FSSCPgraphicspublic2012-01-23 22:34
ReporterFury 
Assigned ToValathil 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
Product Version3.6.13 
Target VersionFixed in Version3.6.14 
Summary0002345: Flickering lighting whenever subspace vortex is nearby
DescriptionEver since lighting and shaders were overhauled in FSO code and FSU shaders, subspace vortexes cause extremely annoying flickering because it competes with other lighting sources with other nearby lighting sources, mostly weapons and explosions.

The flickering is really bad particularly during heated battles where there are more than 8 lighting sources. This flickering is mostly evident because subspace vortex lasts so long, compared to weapon effects and explosions.

Hence I would suggest altering lighting so that subspace vortex always gains higher priority than weapon and explosion lighting, possibly make it the first lighting source under all circumstances. This should stop flickering.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0013143

Valathil (developer)

This was fixed along many other flickering problems by an early patch of mine where I fixed beam lights taking "ships in range" number of places in the light array thereby causing much problems of flickering.
+Notes

-Issue History
Date Modified Username Field Change
2010-11-26 10:46 Fury New Issue
2012-01-23 22:34 Valathil Note Added: 0013143
2012-01-23 22:34 Valathil Status new => closed
2012-01-23 22:34 Valathil Assigned To => Valathil
2012-01-23 22:34 Valathil Resolution open => fixed
2012-01-23 22:34 Valathil Fixed in Version => 3.6.14
+Issue History